Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.beanutils
Class ConfigurationDynaClass

    java.lang.Object
      org.apache.commons.configuration.beanutils.ConfigurationDynaClass

All Implemented Interfaces:
  org.apache.commons.beanutils.DynaClass

public class ConfigurationDynaClass
extends Object
implements org.apache.commons.beanutils.DynaClass

The `ConfigurationDynaClass` dynamically determines properties for a `ConfigurationDynaBean` from a wrapped configuration-collection `Configuration` instance.

Since:
  1.0-rc1
Version:
  $Revision: 1.4 $, $Date: 2004/09/21 17:49:39 $
Author:
  Ricardo Gladwell

Field Summary
`(package private) Configuration` | `configuration`

Constructor Summary
`ConfigurationDynaClass(Configuration configuration)` Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

Method Summary
`org.apache.commons.beanutils.DynaProperty[]` | `getDynaProperties()`
`org.apache.commons.beanutils.DynaProperty` | `getDynaProperty(String name)`
`String` | `getName()`
`org.apache.commons.beanutils.DynaBean` | `newInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    Configuration configuration

Constructor Detail

### ConfigurationDynaClass

    public ConfigurationDynaClass(Configuration configuration)

  Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

Parameters:
  `configuration` - `Configuration` instance.

Method Detail

### getDynaProperty

    public org.apache.commons.beanutils.DynaProperty getDynaProperty(String name)

  Specified by:
    `getDynaProperty` in interface `org.apache.commons.beanutils.DynaClass`
  See Also:
    `DynaClass.getDynaProperty(java.lang.String)`

### getDynaProperties

    public org.apache.commons.beanutils.DynaProperty[] getDynaProperties()

  Specified by:
    `getDynaProperties` in interface `org.apache.commons.beanutils.DynaClass`
  See Also:
    `DynaClass.getDynaProperties()`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.apache.commons.beanutils.DynaClass`
  See Also:
    `DynaClass.getName()`

### newInstance

    public org.apache.commons.beanutils.DynaBean newInstance()
                                                      throws IllegalAccessException,
                                                             InstantiationException

  Specified by:
    `newInstance` in interface `org.apache.commons.beanutils.DynaClass`
  Throws:
    `IllegalAccessException`
    `InstantiationException`
  See Also:
    `DynaClass.newInstance()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 The Apache Software Foundation. All Rights Reserved.